#!/bin/bash

echo ""
echo "--------------------------------------------------"
echo "Please make sure the EMS services already stopped."
echo "--------------------------------------------------"
read -p "Continue? (y/N): " confirm && [[ $confirm == [yY] || $confirm == [yY][eE][sS] ]] || exit 1
echo ""
echo "Patch start ..."

rm -f /opt/ELEMENTVIEW_MASTER/lib/log4j-api-2.*
rm -f /opt/ELEMENTVIEW_MASTER/lib/log4j-core-2.*
rm -f /opt/ELEMENTVIEW_MASTER/bin/classes/authServerJava/lib/log4j-api-2.*
rm -f /opt/ELEMENTVIEW_MASTER/bin/classes/authServerJava/lib/log4j-core-2.*
rm -f /opt/ELEMENTVIEW_MASTER/bin/classes/controlServer/lib/log4j-api-2.*
rm -f /opt/ELEMENTVIEW_MASTER/bin/classes/controlServer/lib/log4j-core-2.*

cp log4j* /opt/ELEMENTVIEW_MASTER/lib/
cp log4j* /opt/ELEMENTVIEW_MASTER/bin/classes/authServerJava/lib/
cp log4j* /opt/ELEMENTVIEW_MASTER/bin/classes/controlServer/lib/

echo "--------------------------------------------------"
echo "Patch finished. Please restart EMS services."
echo "--------------------------------------------------"
echo ""
